Package Details: tdom 0.8.3-1

Git Clone URL: https://aur.archlinux.org/tdom.git (read-only)
Package Base: tdom
Description: A fast XML/DOM/XPath package for Tcl written in C
Upstream URL: http://tdom.github.com/
Licenses: MPL
Groups: devel
Submitter: cabrilo
Maintainer: kolewu
Last Packager: kolewu
Votes: 14
Popularity: 0.004101
First Submitted: 2009-10-10 09:54
Last Updated: 2015-07-07 21:35

Dependencies (1)

Sources (4)

Latest Comments

kolewu commented on 2014-11-13 22:27

0.8.3 is the last officially released version with a patch to compile with Tcl 8.6. It's a bit old and rusty and so the tdom-git may be the better choice.

kolewu commented on 2014-11-08 11:44

use tdom-git at the moment until I change this package to a usable one.

kyak commented on 2014-11-08 04:46

What package should be used - tdom or tdom-git?
The download url for tDOM-0.8.2.tgz seems broken.

kolewu commented on 2013-01-30 23:00

I will soon update this package to a stable or semi-stable version that compiles with tcl 8.6. Until then, use tdom-git that seems quite stable but is not tagged so.

kolewu commented on 2013-01-30 00:00

OK then. Just orphand the package and I will take over.

kolewu commented on 2013-01-30 00:00

OK then. Just orphand the package and I will take over.

cabrilo commented on 2013-01-26 19:01

Kolewu, please take over the package. I don't have time to maintain it, and having you do it is much better then having this package abandoned.

kolewu commented on 2013-01-23 22:27

What do the others think?

And what about the git nature of the package? Unfortunately there is no tag in the official git that names a version declared stable for use with tcl 8.6.

I would prefer to contribute and learn -- and not getting responsible for my first package this fast. Where is the best place to discuss the PKGBUILD file before submitting it as a package?

For a start, here is a gist for the PKGBUILD: https://gist.github.com/4614862

cabrilo commented on 2013-01-22 07:34

Kolewu, if only github tree exists, maybe we should use your PKGBUILD here. If everybody agrees, I will abandon this package and leave it for you to maintain. Does that sound good?

kolewu commented on 2013-01-22 01:55

There is a proper fix for making tdom compatible with tcl 8.6 on github: https://github.com/tDOM/tdom/commit/3dd529139d2f44bb9ecfdcddd27b3d6a8df5ff41

The homepage mentioned here is dead and even the latest tagged code 0.8.3 on github https://github.com/tDOM/tdom is not compatible with the current tcl version 8.6

To use the most recent code I have made a PKGBUILD that uses the git master. Should I post it here or make a new package tdom-git?

The warning about the package containing references to $srcdir can safely be ignored because it is part of the development script pkg/usr/lib/tdomConfig.sh that can address the install location *and* the build location with different defines. Maybe the build location could be left out.

All comments